%define anolis_release 1

Name:           perl-Log-Any
Version:        1.714
Release:        %{anolis_release}%{dist}
Summary:        Bringing loggers and listeners together
License:        GPL-1.0-or-later OR Artistic-1.0-Perl
URL:            https://metacpan.org/release/Log-Any
Source0:        https://cpan.metacpan.org/authors/id/P/PR/PREACTION/Log-Any-%{version}.tar.gz
BuildArch:      noarch
# Build
BuildRequires:  findutils
BuildRequires:  make
BuildRequires:  perl-interpreter
BuildRequires:  perl-generators
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)
# Runtime
BuildRequires:  perl(B)
# XXX: BuildRequires:  perl(Carp)
# XXX: BuildRequires:  perl(Config)
BuildRequires:  perl(constant)
# XXX: BuildRequires:  perl(Data::Dumper)
BuildRequires:  perl(Exporter)
# XXX: BuildRequires:  perl(Fcntl)
# XXX: BuildRequires:  perl(IO::File)
BuildRequires:  perl(Sys::Syslog)
# XXX: BuildRequires:  perl(Test::Builder)
# XXX: BuildRequires:  perl(Unix::Syslog)
# Tests only
BuildRequires:  perl(base)
BuildRequires:  perl(blib)
BuildRequires:  perl(File::Basename)
BuildRequires:  perl(File::Spec)
BuildRequires:  perl(File::Temp)
BuildRequires:  perl(FindBin)
BuildRequires:  perl(IO::Handle)
BuildRequires:  perl(IPC::Open3)
BuildRequires:  perl(lib)
BuildRequires:  perl(overload)
BuildRequires:  perl(Test::More)
Requires:       perl(B)
Requires:       perl(Data::Dumper)

# Log::Any::Adapter* merged into Log::Any in 1.00
Obsoletes:      perl-Log-Any-Adapter < 0.11-7
Provides:       perl-Log-Any-Adapter = %{version}-%{release}%{?dist}

%description
Log::Any allows CPAN modules to safely and efficiently log messages, while
letting the application choose (or decline to choose) a logging mechanism
such as Log::Dispatch or Log::Log4perl.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{EVR}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%setup -q -n Log-Any-%{version}

# delete version-control-internal-file
find . -name .gitignore -exec rm -f {} \; >/dev/null

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}
%{_fixperms} %{buildroot}

%check
make test

%files
%license LICENSE
%{perl_vendorlib}/Log/
%{_mandir}/man3/*

%files doc
%doc Changes README

%changelog
* Sat Mar 25 2023 yuanhui <yuanhui@linux.alibaba.com> - 1.714-1
- Init package from upstream
